
Foreman - Feature #3861

Better logging/reporting/audit of provisioning including contents

12/12/2013 08:32 AM - Lukas Zapletal

Status: Resolved   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently reports only contains Puppet reports. It might be interesting to extend them and allow reporting of provision information -

host was booted, anaconda started with installation etc. Along with that, we should be able to provide extra details for a report line,

where we could store whole template generated (only visible to users with permissions), which could make investigation easier.

Related issues:

Related to Discovery - Feature #3862: Audit discovery of new host and provisi... Closed 12/12/2013

Related to Foreman - Feature #746: Generate all the Host template when click ... Closed 03/15/2011

Related to Foreman - Feature #22493: Add new logging options to integrate wit... Closed 02/02/2018

Is duplicate of Foreman - Feature #13674: Provisioning Templates successful b... Duplicate 02/11/2016

History

#1 - 12/12/2013 08:32 AM - Lukas Zapletal

- Related to Feature #3862: Audit discovery of new host and provision actions added

#2 - 05/07/2015 06:15 AM - Lukas Zapletal

- Related to Feature #746: Generate all the Host template when click on Build to avoid errors during installation added

#3 - 05/07/2015 06:15 AM - Lukas Zapletal

Everytime we render a template, we should put it's contents to audit as well.

#4 - 05/10/2017 06:35 AM - Lukas Zapletal

- Is duplicate of Feature #13674: Provisioning Templates successful build time stamp added

#5 - 05/10/2017 06:36 AM - Lukas Zapletal

- Status changed from New to Duplicate

#6 - 05/10/2017 06:41 AM - Lukas Zapletal

- Subject changed from Better logging/reporting/audit of provisioning to Better logging/reporting/audit of provisioning including contents

- Bugzilla link set to 1299024

Including whole content of provisioning templates raises question around security (there's root password). We need to solve that first.

#7 - 05/10/2017 07:31 AM - Dominic Cleal

Why are both this and #13674 marked as duplicates? Are they duplicates of a third issue number?

#8 - 06/16/2017 08:01 AM - Lukas Zapletal

- Status changed from Duplicate to New

It was marked as duplicate as mistake, this is a valid RFE.
#9 - 05/25/2018 07:52 AM - Lukas Zapletal

- Bugzilla link deleted (1299024)

#10 - 05/25/2018 07:57 AM - Lukas Zapletal

- Related to Feature #22493: Add new logging options to integrate with logging-journald gem added

#11 - 05/25/2018 08:03 AM - Lukas Zapletal

- Category set to Audit Log

- Status changed from New to Resolved

- Assignee set to Lukas Zapletal

This was implemented as #22493 - all templates contents can be configured to appear in production.log or syslog/journald and this can be further

integrated with 3rd party logging solutions. Logger named "blob" must be enabled and the following fields are available: template_digest,

template_name, template_context, template_host_name and template_host_id.
